Endpoint referenceRules
Activate / deactivate a rule
PATCH
bearerAuthheader
AuthorizationBearer <token>API token created in Settings → API. Scopes are attached to the token; each operation lists its required scope in x-scope.
id*stringFormat
uuidorg_id?stringPartners only (orgs:manage): act on this child organization. May also be sent as org_id in JSON bodies.
Format
uuidapplication/json- body
active?booleanlabel?|Length
length <= 120Rule
application/json- response
id?stringFormat
uuidstore_id?stringFormat
uuidtype?stringValue in
"block""allow"target?stringValue in
"domain""src""hash"value?stringlabel?string|nullactive?booleancreated_at?stringFormat
date-timecurl -X PATCH "https://example.com/rules/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "active": false }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "store_id": "7fe87115-950c-4ae8-bd7e-970406bc9ac0", "type": "block", "target": "domain", "value": "string", "label": "string", "active": true, "created_at": "2019-08-24T14:15:22Z"}